//人员管理
import qs from 'qs'
import request from '@/utils/request'
import { he } from 'element-plus/es/locales.mjs'
import { helper } from 'echarts'
// 人员添加接口
export function staffAddApi(data) {
  return request({
    url: '/user/add',
    method: 'post',
    data,
  })
}
// 人员修改
export function staffEditApi(data) {
  return request({
    url: '/user/update',
    method: 'post',
    data,
  })
}
// 详情
export function staffDetailApi(data) {
  return request({
    url: `/user/getInfo`,
    method: 'get',
    params: data
  })
}
//分页
export function staffListApi(data) {
  return request({
    url: '/user/page',
    method: 'post',
    data,
  })
}
// 删除
export function staffDelApi(data) {
  return request({
    url: `/user/remove`,
    method: 'get',
    params: data
  })
}


// 人员分页
export function staffGetPageInfoApi(data) {
  return request({
    url: `/user/page`,
    method: 'POST',
    data,
  })
}


/**
 * 更新员工信息的API接口函数
 * @param {Object} data - 包含员工更新信息的对象
 * @returns {Promise} - 返回一个Promise对象，包含服务器响应的数据
 */
export function staffUpdateInfoApi(data) {
  return request({  // 调用request方法发送HTTP请求
    url: `/user/update`,  // 请求的URL路径
    method: 'POST',  // 请求方法为POST
    data,  // 请求携带的数据
  })
}
export function staffUpdatePasswordApi(data) {
  return request({  // 调用request方法发送HTTP请求
    url: `/user/updatePassword`,  // 请求的URL路径
    method: 'POST',  // 请求方法为POST
    data,  // 请求携带的数据
  })
}

export function staffAddInfoApi(data) {
  return request({  // 调用request方法发送HTTP请求
    url: `/user/add`,  // 请求的URL路径
    method: 'POST',  // 请求方法为POST
    data,  // 请求携带的数据
 
  })

}
export function staffGetInfoApi(data) {
  return request({  // 调用request方法发送HTTP请求
    url: `/user/getInfo`,  // 请求的URL路径
    method: 'GET',  // 请求方法为POST
    data,  // 请求携带的数据
  })
}

export function staffRemoveInfoApi(data) {
  return request({  // 调用request方法发送HTTP请求
    url: `/user/remove`,  // 请求的URL路径
    method: 'POST',  // 请求方法为POST
    data,  // 请求携带的数据
    headers: {  // 请求头
        'Content-Type': 'multipart/form-data;'
      }
  })
}
export function staffResetPasswordApi(data) {
  return request({  // 调用request方法发送HTTP请求
    url: `/user/resetPassword`,  // 请求的URL路径
    method: 'POST',  // 请求方法为POST
    data
  })
}


export function staffSetAbleApi(data) {
  return request({  // 调用request方法发送HTTP请求
    url: `/user/enable`,  // 请求的URL路径
    method: 'POST',  // 请求方法为POST
    data,
    headers: {  // 请求头
        'Content-Type': 'multipart/form-data'
      }
  })
}